body {
    margin: 0px;
    width: 100vw;
    overflow-x: hidden;
    font-family: 'Raleway', sans-serif;
    /* font-family: 'Source Sans Pro', sans-serif; */
    font-weight: 400;
    color: #333;
    background-color: #eee;
    font-size: 2vmin;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
h1 {
    font-size: 5vmin;
    font-weight: 400;
    margin-top: 0.8em;
    margin-bottom: 0.8em;
}
h2 {
    font-size: 4.8vmin;
    font-weight: 100;
    margin-top: 0.8em;
    margin-bottom: 0.8em;
}
h3 {
    font-size: 4.5vmin;
    font-weight: 400;
    margin-top: 0.8em;
    margin-bottom: 0.8em;
}
h4 {
    font-size: 4vmin;
    font-weight: 300;
    margin-top: 0.8em;
    margin-bottom: 0.8em;
}
h5 {
    font-size: 3.5vmin;
    font-weight: 300;
    margin-top: 0.8em;
    margin-bottom: 0.8em;
}
h6 {
    font-size: 3vmin;
    font-weight: 300;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}
p {
    font-size: 2vmin;
    font-weight: 500;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}
hr {
    border: none;
    height: 1px;
    background-color: #888; /* Modern Browsers */
}
th, td {
    padding: 0.6vmin;
    padding-right: 2em;
}
a {
    text-decoration: none;
    color: #333;
}

.button {
    background-color: #fff;
    color: #555;
    border: 1px solid black;
    border-radius: 0px;
    padding: 15px 32px;
    margin-top: 1em;
    margin-bottom: 1em;
    min-width: 200px;
    text-align: center;
    text-decoration: none;
    -webkit-transition-duration: 0.3s; /* Safari */
    transition-duration: 0.3s;
}
.button:hover {
    box-shadow: 3px 3px 10px 2px rgba(0,0,0,0.18), 2px 2px 4px 0px rgba(0,0,0,0.12);
}
.button:active {
    box-shadow: 2px 2px 2px 0 rgba(0,0,0,0.24);
    transform: translateY(3px);
}
.button:focus {
    outline:0;
}

.shadow {
    box-shadow: 0px 0.5vw 1vw 0px rgba(0,0,0,0.2);
}

/*
* basic structure
*
* navbar
* [rows]
* footer
*/
.content {
    position: relative;
}
.navbar {
    position: absolute;
    top: 0;
    left: 0;
}

/*
* hide scrollbar
*/
body::-webkit-scrollbar {
    width: 0px;
    background: transparent;
}
body::-webkit-scrollbar-thumb {
    background-color: #aaa;
    outline: 1px solid #aaa;
}

/*
* navbar
*/
.navbar {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-end;
    align-items: baseline;
    margin-right: 0px;
    margin-left: 0px;
    margin-top: 0px;
    margin-bottom: 0px;
    top: 0;
    width: 98%;
    height: auto;
    padding: 0px;
    z-index: 10;
}
.navitem {
    font-family: helvetica, sans-serif;
    text-decoration: none;
    color: #555;
    -webkit-transition-duration: 0.3s; /* Safari */
    transition-duration: 0.3s;
}
.navitem:hover {
    color: #000;
}
.shopping-cart {
    padding: 0px 0px;
}
.shopping-cart:hover {
    cursor: pointer;
    filter: invert(100) sepia(0) saturate(0) hue-rotate(0deg);
}

.logo-home {
    width: 8vmin;
    height: auto;
    -webkit-transition: all 0.1s linear;
    transition: all 0.1s linear;
    -webkit-transform: scale3d(1, 1, 1);
    transform: scale3d(1, 1, 1);
}
.logo-home:hover{
    -webkit-transform: scale3d(1.1, 1.1, 1);
    transform: scale3d(1.1, 1.1, 1);
}

/*
* navigation overlay
*/
.overlay {
    height: 100%;
    width: 0;
    position: fixed; /* Stay in place */
    z-index: 9; /* Sit on top, but under header */
    left: 0;
    top: 0;
    background-color: rgba(250, 250, 250, 0.7);;
    overflow-x: hidden; /* Disable horizontal scroll */
    transition: 0.4s;
}
/* hide the vertical scrollbar, but keep scroll functionality  */
.overlay::-webkit-scrollbar {
    width: 0px;
    background: transparent;
}
.overlay::-webkit-scrollbar-thumb {
    background-color: #aaa;
    outline: 1px solid #aaa;
}
.overlay_container {
    width: 50vw;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    margin-right: 0px;
    margin-left: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
    background-color: rgb(255,255,255);
}
.overlay_item {
    position: relative;
    flex: 25%;
    margin-right: 0%;
    margin-left: 0%;
    height: 25vw;
    width: 25vw;
} 
.overlay_visible {
    width: 50%;
}
.overlay_invisible {
    width: 0%;
}


/*
* landing page
*/
.landingpage_spacer {
    display: none;
}
.landingpage_menu {
    display: flex;
    flex-direction: row;
    margin: 0px;
    padding: 0px;
    position: absolute;
    bottom: 2vh;
}
.landingpage_menumarker {
    font-size: 5.0min;
    margin: 0px;
    padding: 0px;
    position: fixed;
    bottom: 15vh;
    z-index: 2;
    display: none;
}
.landingpage_menu_section {
    position: relative;
    flex: 50%;
    margin-right: 13vw;
    margin-left: 0%;
    padding-bottom: 3vmin;
    width: 27vw;
}
.landingpage_bg {
    width: 100%;
    height:  100vh;
    padding: 0px;
    margin: 0px;
    background-size: cover;
    background-position: center;
    background-color: transparent;
    background-repeat: no-repeat;
    position: static;
    object-position: center;
}
.menuitem {
    height: 7vmin;
    color: #333;
    margin-left: 1.7em;
    transition: font-size 0.3s;
}
.menuheading {
    height: 6vmin;
    color: #333;
    margin-left: 2.0em;
    font-size: 1.6vmin;
    transition: font-size 0.3s;
}
.landingPageMI {
    font-size: 3.5vmin;
    font-weight: 500;
    margin-top: 0em;
    margin-bottom: 0em;
}
.landingPageMIFocus {
    font-size: 4vmin;
    font-weight: 500;
    margin-top: 0em;
    margin-bottom: 0em;
}

/*
* header
*/
.in-line-header {
    width: 100%;
    padding: 0px;
    margin: 0px;
    margin-left: 1.5vmin;
    margin-right: 1.5vmin;
    padding-top: 1.5vmin;
    padding-bottom: 0px;
    background-size: cover;
    background-position: center;
}
.header-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.header-title {
    text-decoration: none;
    margin-top: 0em;
    margin-bottom: 0em;
    font-size: 4vmin;
    font-weight: 400;
    color: #555;
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.4s;
}
.hide-on-smaller-screens {
    display: inherit;
}

/*
* on-top footer
*/
html,body {
    height: 100%
}
.page {
    min-height: 100%;
    position: relative;
}
.content {
    padding-bottom: 0px;
}
.footer {
    height: 100px;
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    padding: 0px;
    font-size: 2.5vmin;
    color: #ccc;
}
.in-line-footer {
    width: 100%;
    padding: 0px;
    margin: 0px;
    padding-top: 15px;
    padding-bottom: 25px;
    background-size: cover;
    background-position: center;
}
.footeritem {
    font-family: helvetica, sans-serif;
    text-decoration: none;
    text-align: center;
    margin-top: 0em;
    margin-bottom: 0em;
    font-size: 2vmin;
    font-weight: 500;
    color: #555;
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.4s;
}
.footeritem:hover {
    color: #000;
}


img.background {
    top: 0; left: 0; bottom: 0; right: 0;
    width: 100%; height: 100%;
    position: absolute;
    z-index: -1;
    /* display: none; */
    opacity: 0%;
    visibility: hidden;
    transition: opacity 1s;
    object-fit: cover;
    object-position: inherit;
}

.text-data-header {
    margin-bottom: 0.1em;
    margin-top: 0.7em;
    font-weight: bold;
}
.text-data {
    margin-bottom: 0.6em;
    margin-top: 0em;
}

.vertical-center {
    width: 100%;
    position: absolute;
    top: 50%;
    left: 0%;
    transform: translate(0%, -50%);
}
.horizontal-center {
    width: 80%;
    margin: auto;
}
.padded-allaround {
    padding: 50px;
}
.fitinside {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

/*
* on-hover visibility
*/
.on-hover-content {
    opacity: 0;
}
.on-hover-container:hover .on-hover-content {
    visibility: visible;
    opacity: 1;
    -webkit-transition: visibility 0s, opacity 0.5s linear; 
    transition: visibility 0s, opacity 0.5s linear;
}
.on-hover-container .on-hover-content {
    visibility: hidden;
    opacity: 0;
    -webkit-transition: visibility 0.3s, opacity 0.3s linear; 
    transition: visibility 0.3s, opacity 0.3s linear;
}
/*
* on-hover colorize
*/
.on-hover-colorize:hover {
    filter: grayscale(0%);
}
.on-hover-colorize {
    filter: grayscale(100%);
}
/* 
 * on view animations 
 * see script for activation
 */
.fadein-smallscreen {
    opacity: 0;
    animation: fade-in 1.6s;
    animation-timing-function: ease; 
    animation-delay: 0s;
    animation-fill-mode: forwards;
}
.fadeout-smallscreen {
    animation: fade-out 1.6s;
    animation-timing-function: ease; 
    animation-delay: 0s;
    animation-fill-mode: forwards;
}
.fadein-pre {
    visibility: visible;
    opacity: 0;
}


/*
* full width items
*/
.img-full-width-center {
    width: 100%;
    /* height: 50vw; */
    height:  100vh;
    padding: 0px;
    margin: 0px;
    background-size: cover;
    background-position: center;
    background-color: transparent;
    background-repeat: no-repeat;
    position: relative;
    object-position: center;
}
.img-full-width-info-center {
    position: absolute;
    top: 25vw;
}
.img-full-width-left {
    width: 100%;
    height: 50vw;
    padding: 0px;
    margin: 0px;
    background-size: cover;
    background-position: left;
    background-color: transparent;
    background-repeat: no-repeat;
    position: relative;
    object-position: left;
}
.img-full-width-info-left {
    position: absolute;
    top: 25vw;
    left: 50px;
}
.img-full-width-right {
    width: 100%;
    height: 50vw;
    padding: 0px;
    margin: 0px;
    background-size: cover;
    background-position: center;
    background-color: transparent;
    background-repeat: no-repeat;
    position: relative;   
    object-position: right;
}
.img-full-width-info-right {
    position: absolute;
    top: 25vw;
    right: 50px;
}
.message-center{
    text-align: center;
    text-decoration: none;
}
.message-left{
    width: 100%;
    text-align: left;
    padding-left: 4vw;
    padding-top: 10vh;
    text-decoration: none;
}
.message-right{
    width: 100%;
    text-align: right;
    padding-right: 4vw;
    padding-top: 10vh;
    text-decoration: none;
}
.padding-div{
    padding: 0vw;
    padding-top: 0.5vw;
}



/*
* two-item-rows
*/
.dual-row {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: center;
    margin-right: 0px;
    margin-left: 0px;
    padding-top: 100px;
    padding-bottom: 100px;
}
.dual-row-flat {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-right: 0px;
    margin-left: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 0.5vw;
    padding-right: 0.5vw;
}
.dual-row-flat-reverse {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: center;
    margin-right: 0px;
    margin-left: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 0.5vw;
    padding-right: 0.5vw;
}
.dual-row-item-1 {
    flex: 50%;
    margin-right: 2%;
    margin-left: 10%;
}
.dual-row-item-1-flat {
    position: relative;
    flex: 50%;
    margin-right: 0%;
    margin-left: 0%;
    height: 48.5vw;
    width: 48.5vw;
    margin: 0.5vw;
}
.dual-row-item-2 {
    flex: 50%;
    margin-right: 10%;
    margin-left: 2%;
}

/*
* triple-item-rows
*/
.triple-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-right: 0px;
    margin-left: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
}
.triple-row-flat {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-right: 0px;
    margin-left: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
}
.triple-row-item-1 {
    position: relative;
    flex: 33.33%;
    margin-right: 0%;
    margin-left: 0%;
    height: 50vw;
    width: 33.33vw;
}
.triple-row-item-2 {
    position: relative;
    flex: 33.33%;
    margin-right: 0%;
    margin-left: 0%;
    height: 50vw;
    width: 33.33vw;
}
.triple-row-item-3 {
    position: relative;
    flex: 33.33%;
    margin-right: 0%;
    margin-left: 0%;
    height: 50vw;
    width: 33.33vw;
}

/* slides  */
/*
.slide {
    display: none;
}
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: black;
  font-weight: 400;
  font-size: 18px;
  transition: 0.6s ease;
  user-select: none;
}
.next {
  right: 0;
}
.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.6);
}
*/

/*
* phones etc (tall screens)
*/
/* @media (max-width: 500px) { */
@media (orientation: portrait) {
    h1 {
        font-size: 6vmin;
    }
    p {
        font-size: 2.5vmin;
    }
    .hide-on-smaller-screens {
        display: none;
    }
    .overlay_container {
        width: 100vw;
    }
    .overlay_item {
        position: relative;
        flex: 50%;
        margin-right: 0%;
        margin-left: 0%;
        height: 50vw;
        width: 50vw;
    }
    .overlay_visible {
        width: 100%;
    }
    .navitem {
        font-size: 2.5vmin;
    }
    .footeritem {
        font-family: helvetica, sans-serif;
        text-decoration: none;
        text-align: center;
        margin-top: 0em;
        margin-bottom: 0em;
        font-size: 3vmin;
        font-weight: 500;
        color: #555;
        -webkit-transition-duration: 0.4s; /* Safari */
        transition-duration: 0.4s;
    }
    .horizontal-center {
        width: 80%;
    }
    .img-full-width-center {
        width: 100vw;
        /* height: 100vw; */
        height:  100vh;
        padding: 0px;
        margin: 0px;
        background-size: cover;
        background-position: center;
        background-color: transparent;
        background-repeat: no-repeat;
        position: relative;
        object-position: center;
    }
    .img-full-width-left {
        width: 100vw;
        height: 100vw;
        padding: 0px;
        margin: 0px;
        background-size: cover;
        background-position: left;
        background-color: transparent;
        background-repeat: no-repeat;
        position: relative;
        object-position: left;
    }
    .img-full-width-right {
        width: 100vw;
        height: 100vw;
        padding: 0px;
        margin: 0px;
        background-size: cover;
        background-position: center;
        background-color: transparent;
        background-repeat: no-repeat;
        position: relative;   
        object-position: right;
    }
    .img-full-width-info-center {
        top: 40vw;
    }
    .img-full-width-info-left {
        top: 40vw;
    }
    .img-full-width-info-right {
        top: 40vw;
    }

    .dual-row {
        flex-direction: column;
    }
    .dual-row-flat {
        flex-direction: column;
        margin: 0vw;
        padding: 0vw;
    }
    .dual-row-flat-reverse {
        flex-direction: column-reverse;
        margin: 0vw;
        padding: 0vw;
    }
    .dual-row-item-1 {
        flex: 1;
        margin-right: 5%;
        margin-left: 5%;
    }
    .dual-row-item-1-flat {
        flex: 1;
        margin-right: 0%;
        margin-left: 0%;
        width: 100vw;
        height: 100vw;
        margin: 0vw;
        padding: 0vw;
    } 
    .dual-row-item-2 {
        flex: 1;
        margin-top: 30px;
        margin-right: 5%;
        margin-left: 5%;
        min-height: 10vh;
    }
    .triple-row-flat {
        flex-direction: column;
    }
    .triple-row-item-1 {
        flex: 100%;
        margin-right: 0%;
        margin-left: 0%;
        width: 100vw;
        height: 100vw;
    }
    .triple-row-item-2 {
        flex: 100%;
        margin-right: 0%;
        margin-left: 0%;
        position: relative;
    }
    .triple-row-item-3 {
        flex: 100%;
        margin-right: 0%;
        margin-left: 0%;
        position: relative;
    }
    .message-center{
    }
    .padding-div{
        padding: 0vw;
    }
}


/*
* touch only device - no pointer/hover ability
*/
@media (hover: none) {
    .logo-home {
        width: 10vmin;
    }
    .header-title {
        font-size: 5vmin;
    }
    .landingpage_menumarker {
        display: initial;
    }
    .landingpage_spacer {
        display: block;
        height: 87vh;
    }
    .landingpage_menu {
        position: static;
        flex-direction: column;
    }
    .landingpage_menu_section {
        flex: 1;
        margin-right: 0%;
        margin-left: 0%;
        width: 100vw;
        height: 100vw;
    }
    .menuitem {
        height: 14vmin;
    }
    .menuheading {
        font-size: 3vmin;
        height: 9vmin;
    }
    .landingPageMI {
        font-size: 6vmin;
    }
    .landingPageMIFocus {
        font-size: 7vmin;
    }
    .landingpage_bg {
        position: fixed;
    }
    .on-hover-container .on-hover-content {
        visibility: visible;
        opacity: 1;
    }
    .fadein-pre {
        opacity: 0;
    }
    .fadein-pre-smallscreen {
        opacity: 0;
    }
    .fadein-smallscreen {
        opacity: 0;
        animation: fade-in 1s;
        animation-timing-function: ease; 
        animation-delay: 0s;
        animation-fill-mode: forwards;
    }
    .fadeout-smallscreen {
        animation: fade-out 1s;
        animation-timing-function: ease; 
        animation-delay: 0s;
        animation-fill-mode: forwards;
    }
}

@keyframes fade-in {
    0% {
        /*transform: scale(1.1, 1.1);*/
        /* transform: translate(0px, 60px); */
        opacity: 0;
        filter: blur(1px);
    }
    100% {
        opacity: 1;
        filter: blur(0px);
    }
}
@keyframes fade-out {
    0% {
        /*transform: scale(1.1, 1.1);*/
        /* transform: translate(0px, 60px); */
        opacity: 1;
        filter: blur(0px);
    }
    100% {
        opacity: 0;
        filter: blur(0px);
    }
}

/*
* navbar animations
*/
.navbar-visisble {
    animation: navbar-visisble-frames 0.3s;
    animation-timing-function: linear; 
    animation-delay: 0s;
    animation-fill-mode: forwards;
}
.navbar-not-visisble {
    animation: navbar-not-visisble-frames 0.3s;
    animation-timing-function: linear; 
    animation-delay: 0s;
    animation-fill-mode: forwards;
}
@keyframes navbar-visisble-frames {
    0% {
        transform: translate(0px, -150px) scale(0.99, 0.99);
    }
    100% {
        transform: translate(0px, 0px) scale(1, 1);
    }
}
@keyframes navbar-not-visisble-frames {
    0% {
        transform: translate(0px, 0px) scale(1, 1);
    }
    100% {
        transform: translate(0px, -150px) scale(0.99, 0.99);        
    }
}

/*
* snipcart variable overrides
*/
:root {
    --color-link: #000000;
    --color-link-active: #000000;
    --color-icon: #555555;
    --color-default: #555555;
    --color-buttonPrimary: #000000;
    --bgColor-buttonPrimary: #ffffff;
    --borderColor-input-hover: #000000;
    --borderColor-input-focus: #000000;
    --color-badge: #000000;
    --color-badge-active: #ffffff;
    --bgColor-badge-active: #555555;
    --color-buttonSecondary: #000000;
    --bgColor-buttonSecondary: #eeeeee;
    --color-buttonDanger: #000000;
    --bgColor-buttonDanger: #eeeeee;
    --shadow-input-hover: #eeeeee;
    --shadow-input-focus: #eeeeee;
    --shadow-input-checked: #eeeeee;
}
